---
title: RTCPeerConnection.onidentityresult
slug: Web/API/RTCPeerConnection/onidentityresult
tags:
  - Event Handler
  - Experimental
  - Property
  - RTCPeerConnection
  - Reference
  - WebRTC
---
<p>{{APIRef("WebRTC")}}{{obsolete_header}}</p>

<p>The <code><strong>RTCPeerConnection.onidentityresult</strong></code> event handler is a property containing the code to execute when the {{event("identityresult")}} event, of type {{domxref("RTCIdentityEvent")}}, is received by this {{domxref("RTCPeerConnection")}}. Such an event is sent when an identity assertion is generated, via {{domxref("RTCPeerConnection.getIdentityAssertion()", "getIdentityAssertion()")}} or during the creation of an offer or an answer.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="eval"><em>peerconnection</em>.onidentityresult = <em>function</em>;
</pre>

<h3 id="Values">Values</h3>

<ul>
 <li><code>function</code> is the name of a user-defined function, without the <code>()</code> suffix or any parameters, or an anonymous function declaration, such as <code>function(event) {...}</code>. An event handler always has one single parameter, containing the event, here of type {{domxref("RTCIdentityEvent")}}.</li>
</ul>

<h2 id="Example">Example</h2>

<pre class="brush: js">pc.onidentityresult = function(ev) { alert("onidentityresult event detected!"); };
</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCPeerConnection.onidentityresult")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{event("identityresult")}} event and its type, {{domxref("RTCIdentityEvent")}}.</li>
</ul>
